package cc.smtweb.system.bpm.web.engine.model.flow.listcard.lclc1;

import cc.smtweb.framework.core.annotation.SwBody;
import cc.smtweb.framework.core.annotation.SwService;
import cc.smtweb.framework.core.common.R;
import cc.smtweb.framework.core.common.SwMap;
import cc.smtweb.framework.core.mvc.service.AbstractHandler;
import cc.smtweb.framework.core.session.UserSession;
import cc.smtweb.system.bpm.web.engine.model.common.*;
import cc.smtweb.system.bpm.web.engine.model.listcard.lclc1.LCLC1Service;

/**
 * @Author:lip
 * @Date : 2022/9/16 18:53
 * 模型：FLOW_LC_LC_1 服务类
 */
@SwService
public class FlowLcLc1Service extends FlowModelService {
    private LCLC1Service worker = new LCLC1Service();

    @Override
    protected AbstractHandler createHandler(String type) {
        switch (type) {
            case TYPE_MODEL_LIST:
            case TYPE_MODEL_LOAD:
            case TYPE_MODEL_SAVE:
            case TYPE_MODEL_DEL:
                return super.createHandler(type);
        }
        return worker.createHandler(type);
    }

    /**
     * 左列表保存
     * @param params
     * @param us
     * @return
     */
    public R modelLSave(@SwBody SwMap params, UserSession us) {
        return worker.modelLSave(params,us);
    }

    /**
     * 左表编辑
     * @param params
     * @param us
     * @return
     */
    public R modelLLoad(@SwBody SwMap params, UserSession us) {
        return worker.modelLLoad(params,us);
    }

    /**
     * 左表新增初始化
     * @param params
     * @param us
     * @return
     */
    public R modelLAdd(@SwBody SwMap params, UserSession us) {
        return worker.modelLAdd(params,us);
    }

    /**
     * 左表删除
     * @param params
     * @param us
     * @return
     */
    public R modelLDel(@SwBody SwMap params, UserSession us) {
        return worker.modelLDel(params,us);
    }

    /**
     * 加载左表列表数据
     * @param params
     * @param us
     * @return
     */
    public R modelLList(@SwBody SwMap params, UserSession us) {
        return worker.modelLList(params,us);
    }

    /**
     * 加载左表列表总记录数及合计栏
     * @param params
     * @param us
     * @return
     */
    public R modelLListTotal(@SwBody SwMap params, UserSession us) {
        return worker.modelLListTotal(params,us);
    }
}
